Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::PageBasicInfo Class Reference

Inherits Object.

## Public Member Functions
| PageBasicInfo ()
| Constructor.
| PageBasicInfo (const PageBasicInfo &page_info)
| Constructor, with another page basic information object. More...
| PageBasicInfo (float width, float height, common::Rotation rotation)
| Constructor, with parameters. More...
PageBasicInfo & | operator= (const PageBasicInfo &page_info)
| Assign operator. More...
void | Set (float width, float height, common::Rotation rotation)
| Set value. More...

## Public Attributes
float | height
| Page height (unit is 1/72 inch).
common::Rotation | rotation
| Page rotation. Please refer to values starting from common::e_Rotation0 and this should be one of these values.
float | width
| Page width (unit is 1/72 inch).

## Detailed Description

This class represents page basic information, such as page width, page height, and page rotation. This is used as the return type of function PDFDoc::GetPageBasicInfo.

## Constructor & Destructor Documentation

## ◆ PageBasicInfo() [1/2]

foxit::pdf::PageBasicInfo::PageBasicInfo | ( | float | width,
|  | float | height,
|  | common::Rotation | rotation
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | width | Page width (unit is 1/72 inch).
  [in] | height | Page height (unit is 1/72 inch).
  [in] | rotation | Page rotation. Please refer to values starting from common::e_Rotation0 and this should be one of these values except common::e_RotationUnknown.

## ◆ PageBasicInfo() [2/2]

foxit::pdf::PageBasicInfo::PageBasicInfo | ( | const PageBasicInfo & | page_info | ) |
| inline

Constructor, with another page basic information object.

Parameters

  [in] | page_info | Another page basic information object.

## Member Function Documentation

## ◆ operator=()

PageBasicInfo& foxit::pdf::PageBasicInfo::operator= | ( | const PageBasicInfo & | page_info | ) |
| inline

Assign operator.

Parameters

  [in] | page_info | Another page basic information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::PageBasicInfo::Set | ( | float | width,
|  | float | height,
|  | common::Rotation | rotation
| ) |  |
| inline

Set value.

Parameters

  [in] | width | Page width (unit is 1/72 inch).
  [in] | height | Page height (unit is 1/72 inch).
  [in] | rotation | Page rotation. Please refer to values starting from common::e_Rotation0 and this should be one of these values except common::e_RotationUnknown.

Returns
  None.